Package weka.knowledgeflow.steps

# Class FlowByExpression.ExpressionClause

java.lang.Object
weka.knowledgeflow.steps.FlowByExpression.ExpressionNode
weka.knowledgeflow.steps.FlowByExpression.ExpressionClause

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  FlowByExpression

public static class FlowByExpression.ExpressionClause extends FlowByExpression.ExpressionNode implements Serializable
An expression node that represents a clause of an expression

Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `FlowByExpression.ExpressionClause.ExpressionType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpressionClause()`
  `ExpressionClause(FlowByExpression.ExpressionClause.ExpressionType operator, String lhsAttributeName, String rhsOperand, boolean rhsIsAttribute, boolean isAnOr)`
  Construct a new ExpressionClause

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(Instance inst, boolean result)`
  Evaluate this node and combine with the result so far
  `String`
  `getLHSAttName()`
  Get the lhs attribute name
  `FlowByExpression.ExpressionClause.ExpressionType`
  `getOperator()`
  Get the operator
  `String`
  `getRHSOperand()`
  Get the rhs operand
  `void`
  `init(Instances structure, Environment env)`
  Initialize the node
  `boolean`
  `isRHSAnAttribute()`
  Returns true if the RHS is an attribute rather than a constant
  `void`
  `setLHSAttName(String attName)`
  Set the lhs attribute name
  `void`
  `setOperator(FlowByExpression.ExpressionClause.ExpressionType opp)`
  Set the operator
  `void`
  `setRHSIsAnAttribute(boolean rhs)`
  Set whether the RHS is an attribute rather than a constant
  `void`
  `setRHSOperand(String opp)`
  Set the rhs operand
  `DefaultMutableTreeNode`
  `toJTree(DefaultMutableTreeNode parent)`
  Get a DefaultMutableTreeNode for this node
  `String`
  `toString()`
  `void`
  `toStringDisplay(StringBuffer buff)`
  Get the display representation of this node
  `void`
  `toStringInternal(StringBuffer buff)`
  Get the internal representation of this node

  ### Methods inherited from class weka.knowledgeflow.steps.FlowByExpression.ExpressionNode

  `isNegated, isOr, setIsOr, setNegated, setShowAndOr`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExpressionClause

    public ExpressionClause()

  - ### ExpressionClause

    public ExpressionClause(FlowByExpression.ExpressionClause.ExpressionType operator, String lhsAttributeName, String rhsOperand, boolean rhsIsAttribute, boolean isAnOr)
    Construct a new ExpressionClause
    Parameters:
      `operator` - the operator to use
      `lhsAttributeName` - the lhs attribute name
      `rhsOperand` - the rhs operand
      `rhsIsAttribute` - true if the rhs operand is an attribute
      `isAnOr` - true if the result of this expression is to be OR'ed with the result so far

- ## Method Details

  - ### getLHSAttName

    public String getLHSAttName()
    Get the lhs attribute name
    Returns:
      the lhs attribute name

  - ### setLHSAttName

    public void setLHSAttName(String attName)
    Set the lhs attribute name
    Parameters:
      `attName` - the lhs att naem

  - ### getRHSOperand

    public String getRHSOperand()
    Get the rhs operand
    Returns:
      the rhs operando

  - ### setRHSOperand

    public void setRHSOperand(String opp)
    Set the rhs operand
    Parameters:
      `opp` - the rhs operand to set

  - ### isRHSAnAttribute

    public boolean isRHSAnAttribute()
    Returns true if the RHS is an attribute rather than a constant
    Returns:
      true if the RHS is an attribute

  - ### setRHSIsAnAttribute

    public void setRHSIsAnAttribute(boolean rhs)
    Set whether the RHS is an attribute rather than a constant
    Parameters:
      `rhs` - true if the RHS is an attribute rather than a constant

  - ### getOperator

    public FlowByExpression.ExpressionClause.ExpressionType getOperator()
    Get the operator
    Returns:
      the operator

  - ### setOperator

    public void setOperator(FlowByExpression.ExpressionClause.ExpressionType opp)
    Set the operator
    Parameters:
      `opp` - the operator to use

  - ### init

    public void init(Instances structure, Environment env)
    Description copied from class: `FlowByExpression.ExpressionNode`
    Initialize the node
    Overrides:
      `init` in class `FlowByExpression.ExpressionNode`
    Parameters:
      `structure` - the structure of the incoming instances
      `env` - Environment variables

  - ### evaluate

    public boolean evaluate(Instance inst, boolean result)
    Description copied from class: `FlowByExpression.ExpressionNode`
    Evaluate this node and combine with the result so far
    Specified by:
      `evaluate` in class `FlowByExpression.ExpressionNode`
    Parameters:
      `inst` - the incoming instance to evalute with
      `result` - the result to combine with
    Returns:
      the result after combining with this node

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toStringDisplay

    public void toStringDisplay(StringBuffer buff)
    Description copied from class: `FlowByExpression.ExpressionNode`
    Get the display representation of this node
    Specified by:
      `toStringDisplay` in class `FlowByExpression.ExpressionNode`
    Parameters:
      `buff` - the string buffer to append to

  - ### toStringInternal

    public void toStringInternal(StringBuffer buff)
    Description copied from class: `FlowByExpression.ExpressionNode`
    Get the internal representation of this node
    Specified by:
      `toStringInternal` in class `FlowByExpression.ExpressionNode`
    Parameters:
      `buff` - the string buffer to append to

  - ### toJTree

    public DefaultMutableTreeNode toJTree(DefaultMutableTreeNode parent)
    Description copied from class: `FlowByExpression.ExpressionNode`
    Get a DefaultMutableTreeNode for this node
    Specified by:
      `toJTree` in class `FlowByExpression.ExpressionNode`
    Parameters:
      `parent` - the parent of this node (if any)
    Returns:
      the DefaultMutableTreeNode for this node